package com.sckw.payment.model.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 *
 */
@Getter
@AllArgsConstructor
public enum CashStatusEnum {

    CASH(1, "成功"),
    ;

    private final Integer code;
    private final String label;


    public static String getByCode(Integer code) {
        for (CashStatusEnum value : CashStatusEnum.values()) {
            if (Objects.equals(value.getCode(), code)) {
                return value.getLabel();
            }
        }
        return "";
    }

}
